## kstreamripper-trinity 14.0.4

=== SConstruct ===
#! /usr/bin/env python
## The kde detection is located in kde.py (have a look!)
## Delete the comments following as you see it fit

"""
scons files are python scripts, comments begin by a "#" symbol
or are enclosed between sequences of triple quotes, so 
this is a comment :)

There is a lot of documentation and comments, but you can
remove them when you convert your program
"""

"""
----------------------------------
How to enjoy bksys full and plenty
(and forget about the autohell ? :)
-----------------------------------

The program scons is usually launched as "scons"
When it is not intalled globally, one can run
"python scons.py" instead (ie : to use the local scons 
that comes with bksys - try ./unpack_local_scons.sh)

To compile the project, you will then only need to launch
scons on the top-level directory, the scripts find and
cache the proper environment automatically :
-> scons
(or python scons.py)

To clean the project
-> scons -c
(or python scons.py -c)

To install the project
-> scons install
(or python scons.py scons install)

To uninstall the project
-> scons -c install

To compile while being in a subdirectory
-> cd src; scons -u

To (re)configure the project and give particular arguments, use ie :
-> scons configure debug=1
-> scons configure prefix=/tmp/ita debug=full extraincludes=/usr/local/include:/tmp/include prefix=/usr/local
or -> python scons.py configure debug=1
etc ..
The variables are saved automatically after the first run
(look at kde.cache.py, ..)

Here is a quick list of options used (look at generic.py and kde.py) :
prefix
exec_prefix
datadir
libdir
kdeincludes
qtincludes
tdelibs
qtlibs
extraincludes (a list of paths separated by ':')

"""

###########################################
## Common section, for loading the tools

## Load the builders in config
env = Environment(TARGS=COMMAND_LINE_TARGETS, ARGS=ARGUMENTS, tools=['default', 'generic', 'kde'], toolpath=['./', './admin'])
#env = Environment(TARGS=COMMAND_LINE_TARGETS, ARGS=ARGUMENTS, tools=['default', 'generic', 'kde', 'cg'], toolpath=['./'])
#env = Environment(TARGS=COMMAND_LINE_TARGETS, ARGS=ARGUMENTS, tools=['default', 'generic', 'kde', 'sound'], toolpath=['./'])
#env = Environment(TARGS=COMMAND_LINE_TARGETS, ARGS=ARGUMENTS, tools=['default', 'generic', 'kde', 'libxml'], toolpath=['./'])

## the configuration should be done by now, quit
if 'configure' in COMMAND_LINE_TARGETS:
	env.Exit(0)

"""
Overview of the module system :

Each module (kde.py, generic.py, sound.py..) tries to load a stored 
configuration when run. If the stored configuration does not exist
or if 'configure' is given on the command line (scons configure), 
the module launches the verifications and detectioins and stores 
the results. Modules also call exit when the detection fail.

For example, kde.py stores its config into kde.cache.py

This has several advantages for both developers and users :
  - Users do not have to run ./configure to compile
  - The build is insensitive to environment changes
  - The cache maintains the objects so the config can be changed often
  - Each module adds its own help via env.Help("message")
"""

## Use the variables available in the environment - unsafe, but moc, meinproc need it :-/
import os
env.AppendUnique( ENV = os.environ )

## The target make dist requires the python module shutil which is in 2.3
env.EnsurePythonVersion(2, 3)

## Bksys requires scons 0.96
env.EnsureSConsVersion(0, 96)

"""
Explanation of the 'env = Environment...' line :
* the command line arguments and targets are stored in env['TARGS'] and env['ARGS'] for use by the tools
* the part 'tools=['default', 'generic ..' detect and load the necessary functions for doing the things
* the part "toolpath=['./']" tells that the tools can be found in the current directory (generic.py, kde.py ..)
"""

"""
To load more configuration modules one should only have to add the appropriate tool
ie: to detect alsa and add the proper cflags, ldflags .. 
    a file alsa.py file will be needed, and one should then use :
    env = Environment(TARGS=COMMAND_LINE_TARGETS, ARGS=ARGUMENTS, tools=['default', 'generic', 'kde', 'alsa'], toolpath=['./'])

You can also load environments that are targetted to different platforms
ie: if os.sys.platform = "darwin":
	env = Environment(...
    elsif os.sys.platform = "linux":
	env = Environment(...

"""

## Setup the cache directory - this avoids recompiling the same files over and over again
## this is very handy when working with cvs
env.CacheDir('cache')

## Avoid spreading .sconsign files everywhere - keep this line
env.SConsignFile('scons_signatures')

## If you need more libs and they rely on pkg-config
## ie: add support for GTK (source: the scons wiki on www.scons.org)
# env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')

"""
This tell scons that there are no rcs or sccs files - this trick 
can speed up things a bit when having lots of #include
in the source code and for network file systems
"""
env.SourceCode(".", None)

dirs = [ '.', 'src', 'po', 'doc']

for dir in dirs:
	env.SourceCode(dir, None)

## If we had only one program (named kvigor) to build, 
## we could add before exporting the env (some kde 
## helpers in kde.py need it) :
# env['APPNAME'] = 'kvigor'

## Use this define if you are using the kde translation scheme (.po files)
env.Append( CPPFLAGS = ['-DQT_NO_TRANSLATION'] )

## Add this define if you want to use qthreads
#env.Append( CPPFLAGS = ['-DQT_THREAD_SUPPORT', '-D_REENTRANT'] )

## To use kdDebug(intvalue)<<"some trace"<<endl; you need to define -DDEBUG - it is done
## in generic.py automatically when you do scons configure debug=1

## There are also many other defines :
### -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION
# where are they documented ? if you know, mail tnagyemail-mail@yahoo@fr please

## Important : export the environment so that SConscript files can the 
## configuration and builders in it
Export("env")


####################################################
## Process the SConscript files to build the targets
## the sconscript files are comparable to Makefile.am_s
## except that no makefile is generated here :)

env.SConscript("src/SConscript")
env.SConscript("doc/SConscript")
env.SConscript("po/SConscript")

####################################################
## Quick helper to distribute the program

"""
'scons dist' creates a tarball named bksys-version.tar.bz2 
containing the source code - this is handy
do not forget to remove the object files by scons -c
"""

### To make a tarball of your sctest
if 'dist' in COMMAND_LINE_TARGETS:

        APPNAME = 'sctest'
        VERSION = os.popen("cat VERSION").read().rstrip()
        FOLDER  = APPNAME+'-'+VERSION
        ARCHIVE = FOLDER+'.tar.bz2'

        GREEN  ="\033[92m"
        NORMAL ="\033[0m"

        import shutil
        import glob

        ## check if the temporary directory already exists
        if os.path.isdir(FOLDER):
                shutil.rmtree(FOLDER)

        ## create a temporary directory
        startdir = os.getcwd()
        shutil.copytree(startdir, FOLDER)

        ## remove the unnecessary files
        os.popen("find "+FOLDER+" -name \"{arch}\" | xargs rm -rf")
        os.popen("find "+FOLDER+" -name \".arch-ids\" | xargs rm -rf")
        os.popen("find "+FOLDER+" -name \".arch-inventory\" | xargs rm -f")
        os.popen("find "+FOLDER+" -name \"sconsign*\" | xargs rm -f")
        os.popen("find "+FOLDER+" -name \"*cache*\" | xargs rm -rf")
        os.popen("find "+FOLDER+" -name \"kdiss*-data\" | xargs rm -rf")
        os.popen("find "+FOLDER+" -name \"*.pyc\" | xargs rm -f")
        os.popen("rm -f "+FOLDER+"/config.py*")

        ## make the tarball
        print GREEN+"Writing archive "+ARCHIVE+NORMAL
        os.popen("tar cjf "+ARCHIVE+" "+FOLDER)

        ## remove the temporary directory
        if os.path.isdir(FOLDER):
                shutil.rmtree(FOLDER)

        env.Default(None)
        env.Exit(0)

=== debian/changelog ===
kstreamripper-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:45:31 +0200

kstreamripper-trinity (0.3.4-0ubuntu0) maverick; urgency=low

  * TDE upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 05 Jul 2011 14:35:00 -0600

kstreamripper (0.3.4.debian1-2) unstable; urgency=low

  * Fix Desktop file. (Closes: #425028)

 -- Michael Ablassmeier <abi@debian.org>  Tue, 29 May 2007 08:30:10 +0200

kstreamripper (0.3.4.debian1-1) unstable; urgency=low
  
  * Update debian/copyright
  * New Maintainer E-Mail
  * Repackage as upstream tarball shipped byte compiled python
    modules which lead to FTBFS after python transition (due to
    changes in binary files), add .debian.1 to version.
  * Get rid of those .pyc files, remove them on cleanup.
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 31 Aug 2006 16:51:09 +0200

kstreamripper (0.3.4-2) unstable; urgency=low

  * re-upload for transition 
  * Bump up Standards-Version.

 -- Michael Ablassmeier <abi@grinser.de>  Fri,  2 Sep 2005 11:39:28 +0200

kstreamripper (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Build-Depend on scons (upstream uses new build system)
  * Small update for debian/copyright

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 14 May 2005 18:22:57 +0200

kstreamripper (0.3-1) unstable; urgency=low

  * New Upstream release (Closes: #265946)
  * Add README.Debian-source
  * Include gnome.mk (dh_desktop ...)
 
 -- Michael Ablassmeier <abi@grinser.de>  Tue, 19 Apr 2005 16:36:27 +0200

kstreamripper (0.2-2) unstable; urgency=low

  * Do it the cdbs way.
  * Register .desktop file using dh_desktop
  * Slight update for debian/copyright   

 -- Michael Ablassmeier <abi@grinser.de>  Thu,  7 Apr 2005 12:55:16 +0200

kstreamripper (0.2-1) unstable; urgency=low

  * Initial Release. (Closes: #245862)
  * Sponsored Upload by Alexander Wirt <formorer@debian.org>

 -- Michael Ablassmeier <abi@grinser.de>  Sun, 25 Apr 2004 19:52:42 +0200

## kstreamripper-trinity 14.0.5

=== debian/changelog ===
kstreamripper-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:23:11 +0200

=== debian/control ===
Source: kstreamripper-trinity
Section: sound 
Priority: optional
Maintainer: Michael Ablassmeier <abi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, libxmu-dev, libjpeg-dev, tdelibs14-trinity-dev, scons
Standards-Version: 3.8.4

Package: kstreamripper-trinity
Architecture: any
Depends: ${shlibs:Depends}, streamripper
Replaces: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Breaks: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Description: TDE frontend for streamripper
 KStreamRipper is a small frontend for the streamripper command 
 line utility. Streamripper captures internet shoutcast radio streams 
 on your harddisk and splits them up in mp3 files. KStreamRipper helps 
 you with managing/ripping your preferred streams.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
#DEB_INSTALL_MANPAGES_kstreamripper-trinity:=debian/kstreamripper.1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PATH := /opt/trinity/bin:$(PATH)

build/kstreamripper-trinity::
	env PATH=/opt/trinity/bin:$(PATH) QTDIR=/usr/share/tqt3 $(MAKE)

install/kstreamripper-trinity::
	env PATH=/opt/trinity/bin:$(PATH) QTDIR=/usr/share/tqt3 DESTDIR=$(DEB_DESTDIR) $(MAKE) install
	mkdir -p $(DEB_DESTDIR)/opt/trinity/share/pixmaps/
	mkdir -p $(DEB_DESTDIR)/opt/trinity/share/doc/tde/HTML/
	install -m 644 ./src/hi32-app-kstreamripper.png \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/kstreamripper.png
	rm -rf $(DEB_DESTDIR)/opt/trinity/share/doc/tde/HTML
	rm -rf $(DEB_DESTDIR)/usr

clean::
	-$(MAKE) clean	
	rm -f scons_signatures.dblite
	rm -f *.pyc admin/*.pyc
	rm -rf cache/

## kstreamripper-trinity 14.0.6

=== debian/changelog ===
kstreamripper-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: kstreamripper-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, streamripper
-Replaces: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
-Breaks: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
+Replaces: kstreamripper-trinity (<< 4:14.0.0~)
+Breaks: kstreamripper-trinity (<< 4:14.0.0~)
 Description: TDE frontend for streamripper
  KStreamRipper is a small frontend for the streamripper command 
  line utility. Streamripper captures internet shoutcast radio streams

## kstreamripper-trinity 14.0.8

=== debian/changelog ===
kstreamripper-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:52:58 +0200

## kstreamripper-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kstreamripper )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC          doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po  )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kstreamripper-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:12:18 +0200

=== debian/control ===
Source: kstreamripper-trinity
Section: sound 
Priority: optional
Maintainer: Michael Ablassmeier <abi@debian.org>
Build-Depends: debhelper (>= 9~), cdbs, tdelibs14-trinity-dev, cmake, quilt
Standards-Version: 3.8.4

Package: kstreamripper-trinity
Architecture: any
Depends: ${shlibs:Depends}, streamripper
Replaces: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Breaks: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Description: TDE frontend for streamripper
 KStreamRipper is a small frontend for the streamripper command 
 line utility. Streamripper captures internet shoutcast radio streams 
 on your harddisk and splits them up in mp3 files. KStreamRipper helps 
 you with managing/ripping your preferred streams.

## kstreamripper-trinity 14.0.10

=== debian/changelog ===
kstreamripper-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kstreamripper-trinity
 Section: sound 
 Priority: optional
-Maintainer: Michael Ablassmeier <abi@debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), cdbs, tdelibs14-trinity-dev, cmake, quilt
 Standards-Version: 3.8.4

## kstreamripper-trinity 14.0.11

=== debian/changelog ===
kstreamripper-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 13:03:30 +0200

## kstreamripper-trinity 14.0.12

=== debian/changelog ===
kstreamripper-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound 
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), cdbs, tdelibs14-trinity-dev, cmake, quilt
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kstreamripper-trinity

## kstreamripper-trinity 14.0.13

=== debian/changelog ===
kstreamripper-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Sep 2022 00:31:39 +0200

## kstreamripper-trinity 14.1.0

=== debian/changelog ===
kstreamripper-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kstreamripper-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kstreamripper )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths
@@ -41,7 +44,7 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
@@ -69,8 +72,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC          doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po  )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kstreamripper-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 19 Aug 2023 16:11:56 +0200

=== debian/control ===
Source: kstreamripper-trinity
Section: sound 
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kstreamripper-trinity
Architecture: any
Depends: ${shlibs:Depends}, streamripper
Replaces: kstreamripper-trinity (<< 4:14.0.0~)
Breaks: kstreamripper-trinity (<< 4:14.0.0~)
Description: TDE frontend for streamripper
 KStreamRipper is a small frontend for the streamripper command 
 line utility. Streamripper captures internet shoutcast radio streams 
 on your harddisk and splits them up in mp3 files. KStreamRipper helps 
 you with managing/ripping your preferred streams.

## kstreamripper-trinity 14.1.2

=== debian/changelog ===
kstreamripper-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## kstreamripper-trinity 14.1.3

=== debian/changelog ===
kstreamripper-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 06 Sep 2024 01:37:12 +0200

## kstreamripper-trinity 14.1.4

=== debian/changelog ===
kstreamripper-trinity (4:14.1.4-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound 
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kstreamripper-trinity

## kstreamripper-trinity 14.1.5~pre0

=== debian/changelog ===
kstreamripper-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9dd9a56883b6c33fbe372564705c6fb8f945d029
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kstreamripper-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kstreamripper (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
     kstreamripperbase.ui
     kstreamripper.cpp
     main.cpp
     processcontroller.cpp
     processlistviewitem.cpp
     streampropertiesdlgbase.ui
     streampropertiesdlg.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdednssd-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES kstreamripperui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== debian/changelog ===
kstreamripper-trinity (4:14.1.5-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: kstreamripper-trinity
Section: sound 
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kstreamripper-trinity
Architecture: any
Depends: ${shlibs:Depends}, streamripper
Replaces: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Breaks: kstreamripper-kde3 (<< 4:14.0.0~), kstreamripper-trinity (<< 4:14.0.0~)
Description: TDE frontend for streamripper
 KStreamRipper is a small frontend for the streamripper command 
 line utility. Streamripper captures internet shoutcast radio streams 
 on your harddisk and splits them up in mp3 files. KStreamRipper helps 
 you with managing/ripping your preferred streams.

## kstreamripper-trinity 14.1.6~pre0

=== debian/changelog ===
kstreamripper-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9dd9a56883b6c33fbe372564705c6fb8f945d029
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kstreamripper-trinity 14.1.6~pre1

=== debian/changelog ===
kstreamripper-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dbb2767659209736b54c96ad97fa828203be1092
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:42:58 +0100

## kstreamripper-trinity 14.2.0~pre56

=== debian/changelog ===
kstreamripper-trinity (4:14.2.0~pre56-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5fddac765c41fba39d250a01609f4f4ff4a1c9d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kstreamripper-trinity 14.2.0~pre57

=== debian/changelog ===
kstreamripper-trinity (4:14.2.0~pre57-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for d3229302ce1cb477da0ce1ad8ad323466c01bd99
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kstreamripper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:57 +0100
